{{ define "main" }}
<main class="listpage">

    <section class="top">
        <a class="site-base-url" href="{{ .RelPermalink }}">{{ .Title }}</a>
    </section>

    {{ if (le (where .Site.Pages "Type" "list" | len) 1) }}
    <section class="in-between vh50">
        <div class="hint">
            {{ partial "_default/in-between-hint.html" . }}
        </div>
    </section>
    {{ else }}
    <section class="in-between">
        {{ with .Content }}
        <div class="additional">
            {{ . }}
        </div>
        {{ end }}

        {{ if (ge (where .Site.Pages "Type" "list" | len) 1) }}
        <div class="list">
            {{ range .Pages.ByTitle }}
            <article>
                <a class="link" href="{{ .RelPermalink }}">{{ .Title }}</a>
            </article>
            {{ end }}
        </div>
        {{ end }}
    </section>
    {{ end }}

</main>
{{ end }}
